from django.contrib import admin
from games.models import Console, Game, Timeline


class GameAdmin(admin.ModelAdmin):
    list_display = (
        'name', 'playing', 'status', 'wish')
    list_filter = [
        'status',
        'playing',
        'wish']
    search_fields = ('name',)


class TimelineAdmin(admin.ModelAdmin):
    list_display = (
        'date', 'status', 'item')


admin.site.register(Console)
admin.site.register(Game, GameAdmin)
admin.site.register(Timeline, TimelineAdmin)
